﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


namespace library {
    [Serializable]
    public class Contact {

        private String nickname;
        private String name;
        private String surname;
        private String address;
        private String town;
        private String state;
        private String userID;
        private bool online;


        //.......

        public Contact(String unick, String uname, String usurname,
                             String uaddress, String utown, String ustate, String userID) {
            this.nickname = unick;
            this.name = uname;
            this.surname = usurname;
            this.address = uaddress;
            this.town = utown;
            this.state = ustate;
            this.userID = userID;
            this.online = false;
        }

        public void setNickname(String unick) {
            this.nickname = unick;
        }
        public String getNickname() {
            return this.nickname;
        }
        public void setName(String uname) {
            this.name = uname;
        }
        public String getName() {
            return this.name;
        }
        public void setSurname(String usurname) {
            this.surname = usurname;
        }
        public String getSurname() {
            return this.surname;
        }
        public void setAddress(String uaddress) {
            this.address = uaddress;
        }
        public String getAddress() {
            return this.address;
        }
        public void setTown(String utown) {
            this.town = utown;
        }
        public String getTown() {
            return this.town;
        }
        public String getState() {
            return this.state;
        }
        public void setState(String state) {
            this.state = state;
        }
        public void setUserID(String userID) {
            this.userID = userID;
        }
        public String getUserID() {
            return this.userID;
        }
        public void setOnline() {
            if (this.online)
                this.online = false;
            else
                this.online = true;

        }
        public bool getOnline() {
            return this.online;
        }
    }
}
